[SCM] live-config branch, debian-next, updated. debian/3.0_a26-1-3-gc90c834

Daniel Baumann daniel at debian.org
Fri Sep 23 14:48:16 UTC 2011


The following commit has been merged in the debian-next branch:
commit c90c8343107d52f2bdfb17f9c940302cd53016f0
Author: Stanislav Bogatyrev <realloc at realloc.spb.ru>
Date:   Fri Sep 23 16:48:17 2011 +0200

    Check file existence during _SCRIPTS list construction and make sure the resulting list has only unique items (Closes: #642396).

diff --git a/scripts/config.sh b/scripts/config.sh
index 5193274..73ff31b 100755
--- a/scripts/config.sh
+++ b/scripts/config.sh
@@ -91,7 +91,7 @@ Cmdline ()
 	then
 		for _CONFIG in $(echo ${LIVE_CONFIGS} | sed -e 's|,| |g')
 		do
-			_SCRIPTS="${_SCRIPTS} $(ls /lib/live/config/???-${_CONFIG})"
+			_SCRIPTS="${_SCRIPTS} $(ls /lib/live/config/???-${_CONFIG} 2> /dev/null || true)"
 		done
 	fi
 
@@ -100,7 +100,7 @@ Cmdline ()
 	then
 		for _NOCONFIG in $(echo ${LIVE_NOCONFIGS} | sed -e 's|,| |g')
 		do
-			_SCRIPTS="$(echo ${_SCRIPTS} | sed -e "s|$(ls /lib/live/config/???-${_NOCONFIG})||")"
+			_SCRIPTS="$(echo ${_SCRIPTS} | sed -e "s|$(ls /lib/live/config/???-${_NOCONFIG} 2> /dev/null || echo none)||")"
 		done
 	fi
 }
@@ -192,6 +192,8 @@ Main ()
 			;;
 	esac
 
+	_SCRIPTS="$(echo ${_SCRIPTS} | sed -e 's| |\n|g' | sort | uniq)"
+
 	# Configuring system
 	for _SCRIPT in ${_SCRIPTS}
 	do

-- 
live-config



More information about the debian-live-changes mailing list